****************************************************************************************************************************************************************************************.
*********************************************************************GENERACIN DE INDICADORES - ACTI*******************************************************************.
****************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADSTICA Y CENSO (INEC)
*FUENTE: Encuesta de Actividades de Ciencia, Tecnologa e Innovacin 2015.
*RESPONSABLE: Equipo de trabajo ACTI
*Fecha: 03/10/2013
*Fecha de modificacin: 07/08/2015
*Fecha de ltima actualizacin: 18/03/2016

****************************************************************************************************************************************************************************************.
***********************************************************************************INDICADORES ACTI*****************************************************************************.
****************************************************************************************************************************************************************************************.

GET FILE 'C:\Generacin de indicadores\ACTI\bdd_ACTI_2015.sav'.
EXECUTE.

******.
weight by fexp.
******.

SAVE OUTFILE  'C:\Generacin de indicadores\ACTI\bdd_ACTI_2015.sav'.


**Gasto en Otras Actividades de Innovacin**

compute OAI_12=0.
IF (emp_inves=2) OAI_12=oaiact_2012.
compute OAI_13=0.
IF (emp_inves=2) OAI_13=oaiact_2013.
compute OAI_14=0.
IF (emp_inves=2) OAI_14=oaiact_2014.
variable labels OAI_12 'Gasto en Otras Actividades de Innovacin ao 2012'.
variable labels OAI_13 'Gasto en Otras Actividades de Innovacin ao 2013'.
variable labels OAI_14 'Gasto en Otras Actividades de Innovacin ao 2014'.
execute.

**Gasto en Otras Actividades de Ciencia y Tecnologa**

compute OACT_12=0.
IF (emp_inves=1) OACT_12=oaiact_2012.
compute OACT_13=0.
IF (emp_inves=1) OACT_13=oaiact_2013.
compute OACT_14=0.
IF (emp_inves=1) OACT_14=oaiact_2014.
variable labels OACT_12 'Gasto en Otras Actividades de Ciencia y Tecnologa ao 2012'.
variable labels OACT_13 'Gasto en Otras Actividades de Ciencia y Tecnologa ao 2013'.
variable labels OACT_14 'Gasto en Otras Actividades de Ciencia y Tecnologa ao 2014'.
execute.

**Gasto en Actividades de Ciencia, Tecnologa e Innovacin (ACTI)**

compute ACTI_12=sum(ID_2012, oaiact_2012).
compute ACTI_13=sum(ID_2013, oaiact_2013).
compute ACTI_14=sum(ID_2014, oaiact_2014).
variable labels ACTI_12 'Gasto ACTI ao 2012'.
variable labels ACTI_13 'Gasto ACTI ao 2013'.
variable labels ACTI_14 'Gasto ACTI ao 2014'.
execute.


**OBTENER VALORES EN MILLONES DE DLARES**

compute ACTI_12millones= ACTI_12/1000000.
compute ACTI_13millones= ACTI_13/1000000.
compute ACTI_14millones= ACTI_14/1000000.
compute OAI_12millones= OAI_12/1000000.
compute OAI_13millones= OAI_13/1000000.
compute OAI_14millones= OAI_14/1000000.
compute OACT_12millones= OACT_12/1000000.
compute OACT_13millones= OACT_13/1000000.
compute OACT_14millones= OACT_14/1000000.
compute ID_2012millones= ID_2012/1000000.
compute ID_2013millones= ID_2013/1000000.
compute ID_2014millones= ID_2014/1000000.
execute.

VARIABLE LABELS ACTI_12millones 'Gasto ejecutado en ACTI 2012 en millones de dlares'.
VARIABLE LABELS ACTI_13millones 'Gasto ejecutado en ACTI 2013 en millones de dlares'.
VARIABLE LABELS ACTI_14millones 'Gasto ejecutado en ACTI 2014 en millones de dlares'.
VARIABLE LABELS OAI_12millones 'Gasto ejecutado en Otras Actividades de Innovacin 2012 en millones de dlares'.
VARIABLE LABELS OAI_13millones 'Gasto ejecutado en Otras Actividades de Innovacin 2013 en millones de dlares'.
VARIABLE LABELS OAI_14millones 'Gasto ejecutado en Otras Actividades de Innovacin 2014 en millones de dlares'.
VARIABLE LABELS OACT_12millones 'Gasto ejecutado en Otras Actividades Cientficas y Tecnolgicas (OACT) 2012 en millones de dlares'.
VARIABLE LABELS OACT_13millones 'Gasto ejecutado en Otras Actividades Cientficas y Tecnolgicas (OACT) 2013 en millones de dlares'.
VARIABLE LABELS OACT_14millones 'Gasto ejecutado en Otras Actividades Cientficas y Tecnolgicas (OACT) 2014 en millones de dlares'.
VARIABLE LABELS ID_2012millones 'Gasto ejecutado en I+D 2012 en millones de dlares'.
VARIABLE LABELS ID_2013millones 'Gasto ejecutado en I+D 2012 en millones de dlares'.
VARIABLE LABELS ID_2014millones 'Gasto ejecutado en I+D 2012 en millones de dlares'.

SAVE OUTFILE  'C:\Generacin de indicadores\ACTI\bdd_ACTI_2015_t.sav'.


****************************************************************************************************************************************************************.
**********************************INDICADOR 1. GASTO EN ACTIVIDADES DE CIENCIA, TECNOLOGA E INNOVACIN************************.
****************************************************************************************************************************************************************.

GET FILE  'C:\Generacin de indicadores\ACTI\bdd_ACTI_2015_t.sav'.

compute id = 1.
execute.


AGGREGATE
/OUTFILE 'C:\Generacin de indicadores\ACTI\Agregados\bdd_gasto_ACTI.sav'
  /BREAK=id
 /ACTI_12_TOT 'TOTAL GASTO ACTI AO 2012' =sum(ACTI_12millones)
/ACTI_13_TOT 'TOTAL GASTO ACTI AO 2013' =sum(ACTI_13millones)
/ACTI_14_TOT 'TOTAL GASTO ACTI AO 2014' =sum(ACTI_14millones)
/OAI_12_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE INNOVACIN' =sum(OAI_12millones)
/OAI_13_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE INNOVACIN' =sum(OAI_13millones)
/OAI_14_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE INNOVACIN' =sum(OAI_14millones)
/OACT_12_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(OACT_12millones)
/OACT_13_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(OACT_13millones)
/OACT_14_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(OACT_14millones)
/ID_12_TOT 'TOTAL GASTO INVESTIGACIN Y DESARROLLO' =sum(ID_2012millones)
/ID_13_TOT 'TOTAL GASTO INVESTIGACIN Y DESARROLLO' =sum(ID_2013millones)
/ID_14_TOT 'TOTAL GASTO INVESTIGACIN Y DESARROLLO' =sum(ID_2014millones).

GET FILE 'C:\Generacin de indicadores\ACTI\Agregados\bdd_gasto_ACTI.sav'.
EXECUTE.

**TABLA 1. TOTAL GASTO EJECUTADO EN ACTIVIDADES DE CIENCIA, TECNOLOGA E INNOVACIN (ACTI)**.

**TOTAL GASTO ACTI**

CTABLES
  /VLABELS VARIABLES=ACTI_12_TOT ACTI_13_TOT ACTI_14_TOT DISPLAY=LABEL
  /TABLE ACTI_12_TOT [S][SUM] + ACTI_13_TOT [S][SUM] + ACTI_14_TOT [S][SUM]
/TITLES
TITLE='TABLA 1. TOTAL DE GASTO ACTI, DURANTE EL PERODO 2012 - 2014'
CAPTION='FUENTE: ENCUESTA NACIONAL DE CIENCIA, TECNOLOGA E INNOVACIN 2012-2014, CONVENIO INEC-SENESCYT' 'ELABORADO POR: INEC'.

**GASTO ACTI - AO 2012**

CTABLES
  /VLABELS VARIABLES= ID_12_TOT OACT_12_TOT OAI_12_TOT DISPLAY=LABEL
  /TABLE ID_12_TOT [S][SUM] +  OACT_12_TOT [S][SUM] + OAI_12_TOT [S][SUM] 
/TITLES
TITLE='TABLA 1. TOTAL GASTO ACTI AO 2012'
CAPTION='ENCUESTA NACIONAL DE CIENCIA, TECNOLOGA E INNOVACIN 2012-2014, CONVENIO INEC-SENESCYT' 'ELABORADO POR: INEC'.

**GASTO ACTI - AO 2013**

CTABLES
  /VLABELS VARIABLES=ID_13_TOT OACT_13_TOT OAI_13_TOT DISPLAY=LABEL
  /TABLE ID_13_TOT [S][SUM] + OACT_13_TOT [S][SUM] + OAI_13_TOT [S][SUM] 
/TITLES
TITLE='TABLA 1. TOTAL GASTO ACTI AO 2013'
CAPTION='ENCUESTA NACIONAL DE CIENCIA, TECNOLOGA E INNOVACIN 2012-2014, CONVENIO INEC-SENESCYT' 'ELABORADO POR: INEC'.

**GASTO ACTI - AO 2014**

CTABLES
  /VLABELS VARIABLES=ID_14_TOT OACT_14_TOT OAI_14_TOT    DISPLAY=LABEL
  /TABLE ID_14_TOT [S][SUM] + OACT_14_TOT [S][SUM] + OAI_14_TOT [S][SUM] 
/TITLES
TITLE='TABLA 1. TOTAL GASTO ACTI AO 2014'
CAPTION='ENCUESTA NACIONAL DE CIENCIA, TECNOLOGA E INNOVACIN 2012-2014, CONVENIO INEC-SENESCYT' 'ELABORADO POR: INEC'.


*******************************************************************************************************************************************************************.
**************INDICADOR 2. GASTO EN ACTIVIDADES DE CIENCIA, TECNOLOGA E INNOVACIN (ACTI) CON RELACIN AL PIB**********
*******************************************************************************************************************************************************************

GET FILE 'C:\Generacin de indicadores\ACTI\bdd_ACTI_2015_t.sav'.


compute id = 1.
execute.

AGGREGATE
/OUTFILE 'C:\Generacin de indicadores\ACTI\Agregados\bdd_gasto_ACTI_PIB.sav'
  /BREAK=id
 /ACTI_12_TOT 'TOTAL GASTO ACTI AO 2012' =sum(ACTI_12)
/ACTI_13_TOT 'TOTAL GASTO ACTI AO 2013' =sum(ACTI_13)
/ACTI_14_TOT 'TOTAL GASTO ACTI AO 2014' =sum(ACTI_14)
/OAI_12_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE INNOVACIN' =sum(OAI_12)
/OAI_13_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE INNOVACIN' =sum(OAI_13)
/OAI_14_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE INNOVACIN' =sum(OAI_14)
/OACT_12_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(OACT_12)
/OACT_13_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(OACT_13)
/OACT_14_TOT 'TOTAL GASTO OTRAS ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(OACT_14)
/ID_12_TOT 'TOTAL GASTO INVESTIGACIN Y DESARROLLO' =sum(ID_2012)
/ID_13_TOT 'TOTAL GASTO INVESTIGACIN Y DESARROLLO' =sum(ID_2013)
/ID_14_TOT 'TOTAL GASTO INVESTIGACIN Y DESARROLLO' =sum(ID_2014).

GET FILE 'C:\Generacin de indicadores\ACTI\Agregados\bdd_gasto_ACTI_PIB.sav'.

compute PIB12 = 87924544000.
compute PIB13 = 95129659000.
compute PIB14 = 102292260000.
execute.

compute ID_2012_PIB=(ID_12_TOT/PIB12)*100.
compute ID_2013_PIB=(ID_13_TOT/PIB13)*100.
compute ID_2014_PIB=(ID_14_TOT/PIB14)*100.
variable labels ID_2012_PIB 'GASTO EN I+D ACTI RESPECTO AL PIB AO 2012'.
variable labels ID_2013_PIB 'GASTO EN I+D ACTI RESPECTO AL PIB AO 2013'.
variable labels ID_2014_PIB 'GASTO EN I+D ACTI RESPECTO AL PIB AO 2014'.
execute.

compute OAI_2012_PIB = (OAI_12_TOT/PIB12)*100.
compute OAI_2013_PIB = (OAI_13_TOT/PIB13)*100.
compute OAI_2014_PIB= (OAI_14_TOT/PIB14)*100.
variable labels OAI_2012_PIB 'GASTO EN OAI RESPECTO AL PIB AO 2012'.
variable labels OAI_2013_PIB 'GASTO EN OAI RESPECTO AL PIB AO 2013'.
variable labels OAI_2014_PIB 'GASTO EN OAI RESPECTO AL PIB AO 2014'.
execute.

compute OACT_2012_PIB = (OACT_12_TOT/PIB12)*100.
compute OACT_2013_PIB = (OACT_13_TOT/PIB13)*100.
compute OACT_2014_PIB= (OACT_14_TOT/PIB14)*100.
variable labels OACT_2012_PIB 'GASTO EN OACT RESPECTO AL PIB AO 2012'.
variable labels OACT_2013_PIB 'GASTO EN OACT RESPECTO AL PIB AO 2013'.
variable labels OACT_2014_PIB 'GASTO EN OACT RESPECTO AL PIB AO 2014'.
execute.

compute ACTI_2012_PIB = (ACTI_12_TOT/PIB12)*100.
compute ACTI_2013_PIB = (ACTI_13_TOT/PIB13)*100.
compute ACTI_2014_PIB= (ACTI_14_TOT/PIB14)*100.
variable labels ACTI_2012_PIB 'GASTO ACTI RESPECTO AL PIB AO 2012'.
variable labels ACTI_2013_PIB 'GASTO ACTI  RESPECTO AL PIB AO 2013'.
variable labels ACTI_2014_PIB 'GASTO ACTI  RESPECTO AL PIB AO 2014'.
execute.


**TABLA 2.  PORCENTAJE DEL GASTO EJECUTADO (ACTI) CON RESPECTO AL PIB DURANTE EL PERIODO DE 2012 A 2014**.

CTABLES
  /VLABELS VARIABLES=ID_2012_PIB ID_2013_PIB ID_2014_PIB OAI_2012_PIB OAI_2013_PIB OAI_2014_PIB OACT_2012_PIB OACT_2013_PIB OACT_2014_PIB DISPLAY=LABEL
  /TABLE BY ID_2012_PIB [S][SUM PCT40.2] + ID_2013_PIB [S][SUM PCT40.2] + ID_2014_PIB [S][SUM PCT40.2] + OAI_2012_PIB [S][SUM PCT40.2] + OAI_2013_PIB [S][SUM PCT40.2]
+ OAI_2014_PIB [S][SUM PCT40.2] + OACT_2012_PIB [S][SUM PCT40.2] + OACT_2013_PIB [S][SUM PCT40.2] + OACT_2014_PIB [S][SUM PCT40.2] + ACTI_2012_PIB [S][SUM PCT40.2]
+ ACTI_2013_PIB [S][SUM PCT40.2] + ACTI_2014_PIB [S][SUM PCT40.2]
/TITLES
TITLE='TABLA 2. PORCENTAJE DEL GASTO ACTI CON RESPECTO AL PIB'
    CAPTION='ENCUESTA NACIONAL DE CIENCIA, TECNOLOGA E INNOVACIN 2012-2014, CONVENIO INEC-SENESCYT' 'ELABORADO POR: INEC'.

***fin***


